DECOM LFR - Bug #375

Pas de sorties de decom sur des gros fichiers binaires.
25/03/2015 05:43 PM - bruno katra

Status: Closed Start date: 25/03/2015
Priority: Urgent Due date:

Assignee: bruno katra % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r59

Description

Test de decommutation d'un gros fichiers en SBM1 (15 hrs = 2.8 Go). Pas de sorties générées sauf summary :
[validation@PC-FAUST9 test decom]$ more 2015_03 24 _16_39 15_packet_record.sum
1. BINARY FILE INFO ###ti#

1. Binary filename : 2015_03_24 16_39_15_packet_record.data
2. Number of bytes in the binary file : -1498999976

History

#1 - 25/03/2015 05:47 PM - bruno katra
- Status changed from New to In Progress
- Assignee set to bruno katra

- Priority changed from Normal to Urgent

- % Done changed from 0 to 50

A priori lié au fait que la longueur du fichier d'entrée est un int soit 4 octets = -2 147 483 648 a 2 147 483 647
Or 2,8 Go = 2 867 200 000 donc on dépasse le range autorisé et on bascule en négatif.

Il faudrait changer ligne 34 :

int binSrcLength;

en

unsigned int binSrcLength

dans
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/SOLO_LFR/DECOM/files/42814500e75de6f91¢c9
b754825649ec5b11bd994/src/LFR_packet decom.cpp

#2 - 31/03/2015 02:14 PM - bruno katra
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

65 : corrigé et testé OK
